Subject: Re: bug#15575: 24.3.50; New tty menus crash Emacs

From: martin rudalics <[email-masked]>
Date: Wed, 16 Oct 2013 09:44:10 +0200

>>  > The "set new-console on" command causes a new console to be created by
 >>  > GDB before it runs the program attached to that console.
 >>
 >> This works fine.  What is the GNU/Linux equivalent of this?
 >
 > Sorry, I don't understand: the above commands should work on GNU/Linux
 > as well.

There's no such symbol on GNU/Linux.  According to

http://visualgdb.com/gdbreference/commands/set_new-console

this command is only supported on Windows.

 > Moreover, on GNU/Linux you can start Emacs as a daemon, attach a
 > debugger, and then open a TTY frame with emacsclient.

But this won't help when Emacs crashes during startup, IIUC.

 >> I have tried some of the tty commands but failed miserably.
 >
 > Which tty commands?

set inferior-tty
show inferior-tty

 >> (What I want is to run an emacs -nw session from a graphical Emacs
 >> GDB window.)
 >
 > The above commands should work from a graphical session.

Do they for you?

martin